[RISOLTO] aiuto gestore pacchetti synaptic impazzito

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.

[RISOLTO] aiuto gestore pacchetti synaptic impazzito

Messaggioda antoninoalain2 » 13/11/2016, 18:33

come da titolo mi succede qualcosa di molto strano, ad ogni avvio del mio sistema debian jessie, lanciando il gestore pacchetti synaptic mi viene rilevato che vi sono aggiornamenti da fare, sono un sacco di aggiornamenti e non c'entrano un accidenti con jessie(come si può vedere nell'allegato), ho dato un'occhiata al file "sources.list" e sembra essere tutto ok, i repo sono corretti, difatti se da terminale do il comando:
Codice: Seleziona tutto
#apt-get update


e

Codice: Seleziona tutto
#apt-get upgrade


è tutto normale, non mi spuntano aggiornamenti da fare, cosa può essere successo? è come se vi fossero altri repo nascosti da qualche parte ai quali il sistema fa riferimento, non so più che pesci pigliare, qualcuno gentilmente può aiutarmi?
Allegati
Istantanea.png
Istantanea.png (32.89 KiB) Osservato 1760 volte
Avatar utente
antoninoalain2
Newbie
Newbie
 
Messaggi: 39
Iscritto il: 18/11/2015, 12:44

Re: aiuto gestore pacchetti synaptic impazzito

Messaggioda Aki » 13/11/2016, 21:31

Cosa accade se dai il comando:
Codice: Seleziona tutto
apt-get dist-upgrade
Aki
Global Moderator
Global Moderator
 
Messaggi: 7885
Iscritto il: 27/12/2007, 16:59

Re: aiuto gestore pacchetti synaptic impazzito

Messaggioda antoninoalain2 » 13/11/2016, 21:52

grazie per la risposta Aki, dunque, se do il comando che suggerisci a sistema appena avviato ecco cosa mi spunta:

Codice: Seleziona tutto
antoninoalain@debian:~/Scrivania$ su
Password:
root@debian:/home/antoninoalain/Scrivania# apt-get dist-upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  hardening-includes libegl-nvidia0:i386 libegl1-glvnd-nvidia:i386
  libegl1-mesa-drivers libegl1-nvidia libelfg0 libgl1-nvidia-glx:i386
  libgl1-nvidia-glx-i386:i386 libgldispatch0-nvidia:i386 libgles-nvidia1:i386
  libgles-nvidia2:i386 libgles1-glvnd-nvidia:i386 libgles1-nvidia
  libgles2-glvnd-nvidia:i386 libgles2-nvidia libglx-nvidia0:i386
  libglx0-glvnd-nvidia:i386 libgstreamer-plugins-base0.10-0:i386
  libgstreamer0.10-0:i386 libllvm3.5 libllvm3.5:i386 libnvidia-cfg1:i386
  libnvidia-eglcore:i386 libnvidia-glcore:i386 libopengl0-glvnd-nvidia:i386
  libopenvg1-mesa libuuid-perl libvulkan1:i386 libwine-gecko-2.21
  nvidia-driver-libs:i386 nvidia-vulkan-icd:i386
Usare "apt-get autoremove" per rimuoverli.
Eseguito
I seguenti pacchetti saranno RIMOSSI:
  joystick
I seguenti pacchetti NUOVI saranno installati:
  firmware-linux-free fonts-wine irqbalance libapparmor1 libdrm-amdgpu1
  libdrm-amdgpu1:i386 libegl-nvidia0 libegl1-glvnd-nvidia
  libgldispatch0-nvidia libgles-nvidia1 libgles-nvidia2 libgles1-glvnd-nvidia
  libgles2-glvnd-nvidia libglx-nvidia0 libglx0-glvnd-nvidia libgphoto2-port12
  libllvm3.8 libllvm3.8:i386 libltdl7:i386 libnuma1 libnvidia-cfg1
  libnvidia-glcore libnvidia-glcore:i386 libodbc1 libodbc1:i386
  libopengl0-glvnd-nvidia libosmesa6 libosmesa6:i386 libpcap0.8
  libpcap0.8:i386 libseccomp2 libsoxr0 libvulkan1 libxslt1.1:i386
  libyaml-libyaml-perl linux-compiler-gcc-4.9-x86
  linux-headers-4.7.0-0.bpo.1-amd64 linux-headers-4.7.0-0.bpo.1-common
  linux-image-4.7.0-0.bpo.1-amd64 linux-kbuild-4.7 nvidia-driver-libs
  nvidia-kernel-support nvidia-legacy-check nvidia-persistenced
  nvidia-vulkan-common nvidia-vulkan-icd ocl-icd-libopencl1
  ocl-icd-libopencl1:i386 update-glx
I seguenti pacchetti sono stati mantenuti alla versione attuale:
  rsyslog
I seguenti pacchetti saranno aggiornati:
  autopoint dh-python dkms dmidecode e2fslibs e2fsprogs firmware-realtek
  geoip-database gettext gettext-base glx-alternative-mesa
  glx-alternative-nvidia glx-diversions i965-va-driver i965-va-driver:i386
  ifupdown libasprintf-dev libasprintf0c2 libbluray1 libcomerr2
  libcomerr2:i386 libdrm-intel1 libdrm-intel1:i386 libdrm-nouveau2
  libdrm-nouveau2:i386 libdrm-radeon1 libdrm-radeon1:i386 libdrm2 libdrm2:i386
  libegl1-mesa libegl1-mesa-drivers libegl1-nvidia libgbm1 libgeoip1
  libgettextpo-dev libgettextpo0 libgl1-mesa-dri libgl1-mesa-dri:i386
  libgl1-mesa-glx libgl1-mesa-glx:i386 libgl1-nvidia-glx
  libgl1-nvidia-glx:i386 libglapi-mesa libglapi-mesa:i386 libgles1-mesa
  libgles1-nvidia libgles2-mesa libgles2-nvidia libglib2.0-0 libglib2.0-0:i386
  libglib2.0-bin libglib2.0-data libgphoto2-6 libgphoto2-l10n libllvm3.5
  libllvm3.5:i386 libmtp-common libmtp-runtime libmtp9 libnet-dbus-perl
  libnvidia-eglcore libnvidia-ml1 libpam-systemd libpulse-mainloop-glib0
  libpulse0 libpulse0:i386 libpulsedsp libss2 libssl1.0.0 libssl1.0.0:i386
  libsystemd0 libsystemd0:i386 libudev1 libudev1:i386 libva-drm1 libva-x11-1
  libva1 libva1:i386 libvdpau1 libvdpau1:i386 libwayland-egl1-mesa libwine
  libwine:i386 libxapian22 libxatracker2 libxnvctrl0 lintian linux-base
  linux-headers-amd64 linux-image-amd64 linux-libc-dev manpages manpages-dev
  nvidia-alternative nvidia-driver nvidia-driver-bin nvidia-installer-cleanup
  nvidia-kernel-common nvidia-kernel-dkms nvidia-modprobe nvidia-settings
  nvidia-support nvidia-vdpau-driver openssl pulseaudio pulseaudio-module-x11
  pulseaudio-utils python-dnspython python-imaging python-pil
  python-pkg-resources python3-pkg-resources python3-six shared-mime-info
  systemd systemd-sysv tar udev usb-modeswitch usb-modeswitch-data
  va-driver-all va-driver-all:i386 vdpau-va-driver vdpau-va-driver:i386 wine
  wine32:i386 wine64 xserver-xorg-video-intel xserver-xorg-video-nvidia
129 aggiornati, 49 installati, 1 da rimuovere e 1 non aggiornati.
È necessario scaricare 213 MB di archivi.
Dopo quest'operazione, verranno occupati 359 MB di spazio su disco.
Continuare? [S/n]


se annullo tutto, do un colpo di:

Codice: Seleziona tutto
apt-get update


e ridò il comando da te suggerito il risultato è il seguente:

Codice: Seleziona tutto
antoninoalain@debian:~/Scrivania$ su
Password:
root@debian:/home/antoninoalain/Scrivania# apt-get dist-upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Eseguito
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
root@debian:/home/antoninoalain/Scrivania#
Avatar utente
antoninoalain2
Newbie
Newbie
 
Messaggi: 39
Iscritto il: 18/11/2015, 12:44

Re: aiuto gestore pacchetti synaptic impazzito

Messaggioda antoninoalain2 » 13/11/2016, 21:52

questa è pura assurdità
Avatar utente
antoninoalain2
Newbie
Newbie
 
Messaggi: 39
Iscritto il: 18/11/2015, 12:44

Re: aiuto gestore pacchetti synaptic impazzito

Messaggioda Aki » 13/11/2016, 23:22

Assurdo è ciò che non si comprende.
Aki
Global Moderator
Global Moderator
 
Messaggi: 7885
Iscritto il: 27/12/2007, 16:59

Re: aiuto gestore pacchetti synaptic impazzito

Messaggioda antoninoalain2 » 13/11/2016, 23:28

ragazzi, grazie comunque, ho risolto l'arcano, il problema è dovuto ad un pacchetto di backports che ho installato, il pacchetto in questione è: pk-update-icon
Avatar utente
antoninoalain2
Newbie
Newbie
 
Messaggi: 39
Iscritto il: 18/11/2015, 12:44

Re: aiuto gestore pacchetti synaptic impazzito

Messaggioda Aki » 14/11/2016, 8:13

antoninoalain2 ha scritto:ragazzi, grazie comunque, ho risolto l'arcano, il problema è dovuto ad un pacchetto di backports che ho installato, il pacchetto in questione è: pk-update-icon

Dubito che sia l'unica causa di quello che hai riferito: probabilmente, avevi configurato anche i repository di backports in modo diverso tra l'uso di synaptic e quello apt-get, con una interferenza nel modo in cui i due programmi hanno scaricato la lista dei pacchetti disponibili e delle relative dipendenze.
Aki
Global Moderator
Global Moderator
 
Messaggi: 7885
Iscritto il: 27/12/2007, 16:59


Torna a Apt-get and friends

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite